<?xml version = "1.0" encoding = "utf-8"?>
<!DOCTYPE hibernate-configuration SYSTEM
  "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">
<hibernate-configuration>
  <session-factory>

    <property name = "hibernate.dialect">org.hibernate.dialect.PostgreSQL94Dialect</property>
    <property name = "hibernate.connection.driver_class">org.postgresql.Driver</property>
    <property name = "hibernate.connection.url">jdbc:postgresql://localhost:5432/onlinestore?stringtype=unspecified</property>
    <property name = "hibernate.connection.username">postgres</property>
    <property name = "hibernate.connection.password">root</property>
    <property name = "current_session_context_class">thread</property>
    <property name = "show_sql">true</property>

    <mapping class = "entity.CustomerEntity"/>
    <mapping class = "entity.OrderDetailsEntity"/>
    <mapping class = "entity.OrderEntity"/>
    <mapping class = "entity.ProductCategoryEntity"/>
    <mapping class = "entity.ProductEntity"/>
  </session-factory>
</hibernate-configuration>
